Next Previous Contents

## 3.165 tgi_bar

> Function

>   The function fills a rectangle on the drawpage with the current color.

> Header

>   `tgi.h`

> Declaration

>   `void __fastcall__ tgi_bar (int x1, int y1, int x2, int y2);`

> Description

>   The function fills a rectangle on the drawpage with the current color.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   Other tgi function

> Example

>       tgi_setcolor(COLOR_GREEN);
>       tgi_bar(10, 10, 100, 60);

Next Previous Contents